--reduce loyalty penalty on occupied cities (AI has a lot of cities and population later on, which makes keeping loyalty while attacking hard)
UPDATE GlobalParameters SET Value=5 WHERE Name='IDENTITY_PER_TURN_FROM_OCCUPATION_MAX'; --10
UPDATE GlobalParameters SET Value=15 WHERE Name='IDENTITY_PER_TURN_FROM_OCCUPATION_MULTIPLIER'; --25

-- apply difficulty combat bonus to city states
INSERT INTO TraitModifiers (TraitType, ModifierId) VALUES	
('MINOR_CIV_DEFAULT_TRAIT', 'HIGH_DIFFICULTY_COMBAT_SCALING');

-- delete city state bonus starting units
DELETE FROM BonusMinorStartingUnits WHERE MinDifficulty='DIFFICULTY_EMPEROR';

-- remove increased unit experience (was 10% per difficulty)
UPDATE ModifierArguments SET Extra=0 WHERE Name='Amount' AND ModifierId='HIGH_DIFFICULTY_UNIT_XP_SCALING';

-- free military techs for civs that are 2 eras ahead of it (AI skips some important techs and civs going for culture's military tends to be too weak)
INSERT INTO TraitModifiers (TraitType, ModifierId) VALUES
('TRAIT_LEADER_MAJOR_CIV', 'LGAI_ARCHERY'),
('TRAIT_LEADER_MAJOR_CIV', 'LGAI_SAILING'),
('TRAIT_LEADER_MAJOR_CIV', 'LGAI_BRONZE_WORKING'),
('TRAIT_LEADER_MAJOR_CIV', 'LGAI_MASONRY'),
('TRAIT_LEADER_MAJOR_CIV', 'LGAI_CELESTIAL_NAVIGATION'),
('TRAIT_LEADER_MAJOR_CIV', 'LGAI_MILITARY_TACTICS'),
('TRAIT_LEADER_MAJOR_CIV', 'LGAI_MACHINERY'),
('TRAIT_LEADER_MAJOR_CIV', 'LGAI_METAL_CASTING'),
('TRAIT_LEADER_MAJOR_CIV', 'LGAI_PRINTING'),
('TRAIT_LEADER_MAJOR_CIV', 'LGAI_CARTOGRAPHY'),
('TRAIT_LEADER_MAJOR_CIV', 'LGAI_BALLISTICS'),
('TRAIT_LEADER_MAJOR_CIV', 'LGAI_STEAM_POWER'),
('TRAIT_LEADER_MAJOR_CIV', 'LGAI_FLIGHT'),
('TRAIT_LEADER_MAJOR_CIV', 'LGAI_STEEL'),
('TRAIT_LEADER_MAJOR_CIV', 'LGAI_CHEMISTRY'),
('TRAIT_LEADER_MAJOR_CIV', 'LGAI_ADVANCED_FLIGHT'),
('TRAIT_LEADER_MAJOR_CIV', 'LGAI_ADVANCED_BALLISTICS'),
('TRAIT_LEADER_MAJOR_CIV', 'LGAI_COMBINED_ARMS');

INSERT INTO Modifiers (ModifierId, ModifierType, OwnerRequirementSetId) VALUES
('LGAI_ARCHERY', 'MODIFIER_PLAYER_GRANT_SPECIFIC_TECHNOLOGY', 'HIGH_DIFFICULTY_AI_MEDIEVAL'),
('LGAI_SAILING', 'MODIFIER_PLAYER_GRANT_SPECIFIC_TECHNOLOGY', 'HIGH_DIFFICULTY_AI_MEDIEVAL'),
('LGAI_BRONZE_WORKING', 'MODIFIER_PLAYER_GRANT_SPECIFIC_TECHNOLOGY', 'HIGH_DIFFICULTY_AI_MEDIEVAL'),
('LGAI_MASONRY', 'MODIFIER_PLAYER_GRANT_SPECIFIC_TECHNOLOGY', 'HIGH_DIFFICULTY_AI_MEDIEVAL'),
('LGAI_CELESTIAL_NAVIGATION', 'MODIFIER_PLAYER_GRANT_SPECIFIC_TECHNOLOGY', 'HIGH_DIFFICULTY_AI_MEDIEVAL'),
('LGAI_MILITARY_TACTICS', 'MODIFIER_PLAYER_GRANT_SPECIFIC_TECHNOLOGY', 'HIGH_DIFFICULTY_AI_INDUSTRIAL'),
('LGAI_MACHINERY', 'MODIFIER_PLAYER_GRANT_SPECIFIC_TECHNOLOGY', 'HIGH_DIFFICULTY_AI_INDUSTRIAL'),
('LGAI_METAL_CASTING', 'MODIFIER_PLAYER_GRANT_SPECIFIC_TECHNOLOGY', 'HIGH_DIFFICULTY_AI_MODERN'),
('LGAI_PRINTING', 'MODIFIER_PLAYER_GRANT_SPECIFIC_TECHNOLOGY', 'HIGH_DIFFICULTY_AI_MODERN'),
('LGAI_CARTOGRAPHY', 'MODIFIER_PLAYER_GRANT_SPECIFIC_TECHNOLOGY', 'HIGH_DIFFICULTY_AI_MODERN'),
('LGAI_BALLISTICS', 'MODIFIER_PLAYER_GRANT_SPECIFIC_TECHNOLOGY', 'HIGH_DIFFICULTY_AI_ATOMIC'),
('LGAI_STEAM_POWER', 'MODIFIER_PLAYER_GRANT_SPECIFIC_TECHNOLOGY', 'HIGH_DIFFICULTY_AI_ATOMIC'),
('LGAI_FLIGHT', 'MODIFIER_PLAYER_GRANT_SPECIFIC_TECHNOLOGY', 'HIGH_DIFFICULTY_AI_INFO'),
('LGAI_STEEL', 'MODIFIER_PLAYER_GRANT_SPECIFIC_TECHNOLOGY', 'HIGH_DIFFICULTY_AI_INFO'),
('LGAI_CHEMISTRY', 'MODIFIER_PLAYER_GRANT_SPECIFIC_TECHNOLOGY', 'HIGH_DIFFICULTY_AI_FUTURE'),
('LGAI_ADVANCED_FLIGHT', 'MODIFIER_PLAYER_GRANT_SPECIFIC_TECHNOLOGY', 'HIGH_DIFFICULTY_AI_FUTURE'),
('LGAI_ADVANCED_BALLISTICS', 'MODIFIER_PLAYER_GRANT_SPECIFIC_TECHNOLOGY', 'HIGH_DIFFICULTY_AI_FUTURE'),
('LGAI_COMBINED_ARMS', 'MODIFIER_PLAYER_GRANT_SPECIFIC_TECHNOLOGY', 'HIGH_DIFFICULTY_AI_FUTURE');

INSERT INTO ModifierArguments (ModifierId, Name, Type, Value) VALUES
('LGAI_ARCHERY', 'TechType', 'ARGTYPE_IDENTITY', 'TECH_ARCHERY'),
('LGAI_SAILING', 'TechType', 'ARGTYPE_IDENTITY', 'TECH_SAILING'),
('LGAI_BRONZE_WORKING', 'TechType', 'ARGTYPE_IDENTITY', 'TECH_BRONZE_WORKING'),
('LGAI_MASONRY', 'TechType', 'ARGTYPE_IDENTITY', 'TECH_MASONRY'),
('LGAI_CELESTIAL_NAVIGATION', 'TechType', 'ARGTYPE_IDENTITY', 'TECH_CELESTIAL_NAVIGATION'),
('LGAI_MILITARY_TACTICS', 'TechType', 'ARGTYPE_IDENTITY', 'TECH_MILITARY_TACTICS'),
('LGAI_MACHINERY', 'TechType', 'ARGTYPE_IDENTITY', 'TECH_MACHINERY'),
('LGAI_METAL_CASTING', 'TechType', 'ARGTYPE_IDENTITY', 'TECH_METAL_CASTING'),
('LGAI_PRINTING', 'TechType', 'ARGTYPE_IDENTITY', 'TECH_PRINTING'),
('LGAI_CARTOGRAPHY', 'TechType', 'ARGTYPE_IDENTITY', 'TECH_CARTOGRAPHY'),
('LGAI_BALLISTICS', 'TechType', 'ARGTYPE_IDENTITY', 'TECH_BALLISTICS'),
('LGAI_STEAM_POWER', 'TechType', 'ARGTYPE_IDENTITY', 'TECH_STEAM_POWER'),
('LGAI_FLIGHT', 'TechType', 'ARGTYPE_IDENTITY', 'TECH_FLIGHT'),
('LGAI_STEEL', 'TechType', 'ARGTYPE_IDENTITY', 'TECH_STEEL'),
('LGAI_CHEMISTRY', 'TechType', 'ARGTYPE_IDENTITY', 'TECH_CHEMISTRY'),
('LGAI_ADVANCED_FLIGHT', 'TechType', 'ARGTYPE_IDENTITY', 'TECH_ADVANCED_FLIGHT'),
('LGAI_ADVANCED_BALLISTICS', 'TechType', 'ARGTYPE_IDENTITY', 'TECH_ADVANCED_BALLISTICS'),
('LGAI_COMBINED_ARMS', 'TechType', 'ARGTYPE_IDENTITY', 'TECH_COMBINED_ARMS');

-- add unit maintenance discount
INSERT INTO TraitModifiers (TraitType, ModifierId) VALUES
('TRAIT_LEADER_MAJOR_CIV', 'LGAI_UNIT_MAINTENANCE'),
('MINOR_CIV_DEFAULT_TRAIT', 'LGAI_UNIT_MAINTENANCE');

INSERT INTO Modifiers (ModifierId, ModifierType, OwnerRequirementSetId) VALUES
('LGAI_UNIT_MAINTENANCE', 'MODIFIER_PLAYER_ADJUST_UNIT_MAINTENANCE_DISCOUNT', 'PLAYER_IS_HIGH_DIFFICULTY_AI');

INSERT INTO ModifierArguments (ModifierId, Name, Type, Value, Extra) VALUES
('LGAI_UNIT_MAINTENANCE', 'Amount', 'LinearScaleFromDefaultHandicap', 1.5, 0.5);

-- add unit upgrade discount
INSERT INTO TraitModifiers (TraitType, ModifierId) VALUES
('TRAIT_LEADER_MAJOR_CIV', 'LGAI_UNIT_UPGRADE');

INSERT INTO Modifiers (ModifierId, ModifierType, OwnerRequirementSetId) VALUES
('LGAI_UNIT_UPGRADE', 'MODIFIER_PLAYER_ADJUST_UNIT_UPGRADE_DISCOUNT_PERCENT', 'PLAYER_IS_HIGH_DIFFICULTY_AI');

INSERT INTO ModifierArguments (ModifierId, Name, Type, Value, Extra) VALUES
('LGAI_UNIT_UPGRADE', 'Amount', 'LinearScaleFromDefaultHandicap', 0, 10);

--make 'professional army' discount ineffective for AI so the AI can't upgrade units for free combined with the discount above
UPDATE Modifiers SET OwnerRequirementSetId='PLAYER_IS_HUMAN' WHERE ModifierId='PROFESSIONAL_ARMY_UNITUPGRADEDISCOUNT';

-- add diplo visibility at nationalism and cold war
INSERT INTO TraitModifiers (TraitType, ModifierId) VALUES
('TRAIT_LEADER_MAJOR_CIV','LGAI_DIPLOVIS_ONE'),
('TRAIT_LEADER_MAJOR_CIV','LGAI_DIPLOVIS_TWO');

INSERT INTO DiplomaticVisibilitySources (VisibilitySourceType, Description, ActionDescription, GossipString, TraitType) VALUES
('SOURCE_LGAI_ONE', 'LOC_LGAI_VISDESC_ONE', 'LOC_LGAI_VISADESC_ONE', 'LOC_LGAI_VISGOSSIP_ONE', 'TRAIT_LEADER_MAJOR_CIV'),
('SOURCE_LGAI_TWO', 'LOC_LGAI_VISDESC_TWO', 'LOC_LGAI_VISADESC_TWO', 'LOC_LGAI_VISGOSSIP_TWO', 'TRAIT_LEADER_MAJOR_CIV');

INSERT INTO Modifiers (ModifierId, ModifierType, OwnerRequirementSetId) VALUES
('LGAI_DIPLOVIS_ONE', 'MODIFIER_PLAYER_ADD_DIPLO_VISIBILITY', 'LGAI_REQSET_DIPLOVIS_ONE'),
('LGAI_DIPLOVIS_TWO', 'MODIFIER_PLAYER_ADD_DIPLO_VISIBILITY', 'LGAI_REQSET_DIPLOVIS_TWO');

INSERT INTO ModifierArguments (ModifierId, Name, Type, Value, Extra) VALUES		
('LGAI_DIPLOVIS_ONE', 'SourceType', 'ARGTYPE_IDENTITY', 'DIPLO_SOURCE_ALL_NAMES', NULL),
('LGAI_DIPLOVIS_ONE', 'Source', 'ARGTYPE_IDENTITY', 'SOURCE_LGAI_ONE', NULL),
('LGAI_DIPLOVIS_ONE', 'Amount', 'ARGTYPE_IDENTITY', 1, NULL),
('LGAI_DIPLOVIS_TWO', 'SourceType', 'ARGTYPE_IDENTITY', 'DIPLO_SOURCE_ALL_NAMES', NULL),
('LGAI_DIPLOVIS_TWO', 'Source', 'ARGTYPE_IDENTITY', 'SOURCE_LGAI_TWO', NULL),
('LGAI_DIPLOVIS_TWO', 'Amount', 'ARGTYPE_IDENTITY', 1, NULL);