-- remove difficulty combat bonus for city states and add it back again, but manually for each difficulty (so the highest possible combat strength bonus is +6, which prevents the bug of it going out of control)

DELETE FROM TraitModifiers WHERE ModifierId='HIGH_DIFFICULTY_COMBAT_SCALING' AND TraitType='MINOR_CIV_DEFAULT_TRAIT';

INSERT INTO TraitModifiers (TraitType, ModifierId) VALUES
('MINOR_CIV_DEFAULT_TRAIT', 'PRINCE_COMBAT_BONUS'),
('MINOR_CIV_DEFAULT_TRAIT', 'KING_COMBAT_BONUS'),
('MINOR_CIV_DEFAULT_TRAIT', 'EMPEROR_COMBAT_BONUS'),
('MINOR_CIV_DEFAULT_TRAIT', 'IMMORTAL_COMBAT_BONUS'),
('MINOR_CIV_DEFAULT_TRAIT', 'DEITY_COMBAT_BONUS'),
('MINOR_CIV_DEFAULT_TRAIT', 'PRO_COMBAT_BONUS'),
('MINOR_CIV_DEFAULT_TRAIT', 'INSANE_COMBAT_BONUS');

INSERT INTO Modifiers (ModifierId, ModifierType, OwnerRequirementSetId) VALUES
('PRINCE_COMBAT_BONUS', 'MODIFIER_PLAYER_UNITS_ADJUST_COMBAT_DIFFICULTY', 'HIGH_DIFFICULTY_AI_NOT_KING'),
('KING_COMBAT_BONUS', 'MODIFIER_PLAYER_UNITS_ADJUST_COMBAT_DIFFICULTY', 'HIGH_DIFFICULTY_AI_KING_ONLY'),
('EMPEROR_COMBAT_BONUS', 'MODIFIER_PLAYER_UNITS_ADJUST_COMBAT_DIFFICULTY', 'HIGH_DIFFICULTY_AI_EMPEROR_ONLY'),
('IMMORTAL_COMBAT_BONUS', 'MODIFIER_PLAYER_UNITS_ADJUST_COMBAT_DIFFICULTY', 'HIGH_DIFFICULTY_AI_IMMORTAL_ONLY'),
('DEITY_COMBAT_BONUS', 'MODIFIER_PLAYER_UNITS_ADJUST_COMBAT_DIFFICULTY', 'HIGH_DIFFICULTY_AI_DEITY_ONLY'),
('PRO_COMBAT_BONUS', 'MODIFIER_PLAYER_UNITS_ADJUST_COMBAT_DIFFICULTY', 'HIGH_DIFFICULTY_AI_PRO_ONLY'),
('INSANE_COMBAT_BONUS', 'MODIFIER_PLAYER_UNITS_ADJUST_COMBAT_DIFFICULTY', 'HIGH_DIFFICULTY_AI_INSANE');

INSERT INTO ModifierArguments (ModifierId, Name, Type, Value, Extra) VALUES
('PRINCE_COMBAT_BONUS', 'Amount', 'LinearScaleFromDefaultHandicap', 0, 0),
('KING_COMBAT_BONUS', 'Amount', 'LinearScaleFromDefaultHandicap', 1, 0),
('EMPEROR_COMBAT_BONUS', 'Amount', 'LinearScaleFromDefaultHandicap', 2, 0),
('IMMORTAL_COMBAT_BONUS', 'Amount', 'LinearScaleFromDefaultHandicap', 3, 0),
('DEITY_COMBAT_BONUS', 'Amount', 'LinearScaleFromDefaultHandicap', 4, 0),
('PRO_COMBAT_BONUS', 'Amount', 'LinearScaleFromDefaultHandicap', 5, 0),
('INSANE_COMBAT_BONUS', 'Amount', 'LinearScaleFromDefaultHandicap', 6, 0);

INSERT INTO ModifierStrings (ModifierId, Context, Text) VALUES
('PRINCE_COMBAT_BONUS', 'Preview', 'LOC_COMBAT_DIFFICULTY_SCALING'),
('KING_COMBAT_BONUS', 'Preview', 'LOC_COMBAT_DIFFICULTY_SCALING'),
('EMPEROR_COMBAT_BONUS', 'Preview', 'LOC_COMBAT_DIFFICULTY_SCALING'),
('IMMORTAL_COMBAT_BONUS', 'Preview', 'LOC_COMBAT_DIFFICULTY_SCALING'),
('DEITY_COMBAT_BONUS', 'Preview', 'LOC_COMBAT_DIFFICULTY_SCALING'),
('PRO_COMBAT_BONUS', 'Preview', 'LOC_COMBAT_DIFFICULTY_SCALING'),
('INSANE_COMBAT_BONUS', 'Preview', 'LOC_COMBAT_DIFFICULTY_SCALING');