-- unit and wall production adjustment for game speeds
INSERT INTO TraitModifiers (TraitType, ModifierId) VALUES
('TRAIT_LEADER_MAJOR_CIV', 'LGAI_ONLINE_UNIT_PRODUCTION'),
('TRAIT_LEADER_MAJOR_CIV', 'LGAI_ONLINE_MEDWALLS_PRODUCTION'),
('TRAIT_LEADER_MAJOR_CIV', 'LGAI_ONLINE_RENWALLS_PRODUCTION'),
('TRAIT_LEADER_MAJOR_CIV', 'LGAI_ONLINE_ANCWALLS_PRODUCTION'),
('TRAIT_LEADER_MAJOR_CIV', 'LGAI_ONLINE_TSIKHE_PRODUCTION');

INSERT INTO Modifiers (ModifierId, ModifierType, OwnerRequirementSetId) VALUES
('LGAI_ONLINE_UNIT_PRODUCTION', 'MODIFIER_PLAYER_CITIES_ADJUST_MILITARY_UNITS_PRODUCTION', 'PLAYER_IS_HIGH_DIFFICULTY_AI'),
('LGAI_ONLINE_MEDWALLS_PRODUCTION', 'MODIFIER_PLAYER_CITIES_ADJUST_BUILDING_PRODUCTION', 'PLAYER_IS_HIGH_DIFFICULTY_AI'),
('LGAI_ONLINE_RENWALLS_PRODUCTION', 'MODIFIER_PLAYER_CITIES_ADJUST_BUILDING_PRODUCTION', 'PLAYER_IS_HIGH_DIFFICULTY_AI'),
('LGAI_ONLINE_ANCWALLS_PRODUCTION', 'MODIFIER_PLAYER_CITIES_ADJUST_BUILDING_PRODUCTION', 'PLAYER_IS_HIGH_DIFFICULTY_AI'),
('LGAI_ONLINE_TSIKHE_PRODUCTION', 'MODIFIER_PLAYER_CITIES_ADJUST_BUILDING_PRODUCTION', 'PLAYER_IS_HIGH_DIFFICULTY_AI');

INSERT INTO ModifierArguments (ModifierId, Name, Type, Value, Extra) VALUES
('LGAI_ONLINE_UNIT_PRODUCTION', 'Amount', 'LinearScaleFromDefaultHandicap', -20, 0),
('LGAI_ONLINE_MEDWALLS_PRODUCTION', 'Amount', 'LinearScaleFromDefaultHandicap', -20, 0),
('LGAI_ONLINE_MEDWALLS_PRODUCTION', 'BuildingType', 'ARGTYPE_IDENTITY', 'BUILDING_CASTLE', NULL),
('LGAI_ONLINE_RENWALLS_PRODUCTION', 'Amount', 'LinearScaleFromDefaultHandicap', -20, 0),
('LGAI_ONLINE_RENWALLS_PRODUCTION', 'BuildingType', 'ARGTYPE_IDENTITY', 'BUILDING_STAR_FORT', NULL),
('LGAI_ONLINE_ANCWALLS_PRODUCTION', 'Amount', 'LinearScaleFromDefaultHandicap', -20, 0),
('LGAI_ONLINE_ANCWALLS_PRODUCTION', 'BuildingType', 'ARGTYPE_IDENTITY', 'BUILDING_WALLS', NULL),
('LGAI_ONLINE_TSIKHE_PRODUCTION', 'Amount', 'LinearScaleFromDefaultHandicap', -20, 0),
('LGAI_ONLINE_TSIKHE_PRODUCTION', 'BuildingType', 'ARGTYPE_IDENTITY', 'BUILDING_TSIKHE', NULL);

-- district project production penalty to account for the overflow bug that makes the overflow production not get the penalty (more relevant on fast speeds)
INSERT INTO TraitModifiers (TraitType, ModifierId) VALUES
('TRAIT_LEADER_MAJOR_CIV', 'LGAI_ONLINE_PROJECT_ENCAMPMENT'),
('TRAIT_LEADER_MAJOR_CIV', 'LGAI_ONLINE_PROJECT_HARBOR'),
('TRAIT_LEADER_MAJOR_CIV', 'LGAI_ONLINE_PROJECT_INDUSTRIAL_ZONE'),
('TRAIT_LEADER_MAJOR_CIV', 'LGAI_ONLINE_PROJECT_COMMERCIAL_HUB'),
('TRAIT_LEADER_MAJOR_CIV', 'LGAI_ONLINE_PROJECT_HOLY_SITE'),
('TRAIT_LEADER_MAJOR_CIV', 'LGAI_ONLINE_PROJECT_CAMPUS'),
('TRAIT_LEADER_MAJOR_CIV', 'LGAI_ONLINE_PROJECT_THEATER'),
('TRAIT_LEADER_MAJOR_CIV', 'LGAI_ONLINE_PROJECT_CARNIVAL'),
('TRAIT_LEADER_MAJOR_CIV', 'LGAI_ONLINE_PROJECT_WATER_CARNIVAL'),
('TRAIT_LEADER_MAJOR_CIV', 'LGAI_ONLINE_PROJECT_CARBON_RECAPTURE'),
('TRAIT_LEADER_MAJOR_CIV', 'LGAI_ONLINE_PROJECT_SEND_AID'),
('TRAIT_LEADER_MAJOR_CIV', 'LGAI_ONLINE_PROJECT_COURT_FESTIVAL');

INSERT INTO Modifiers (ModifierId, ModifierType, OwnerRequirementSetId) VALUES
('LGAI_ONLINE_PROJECT_ENCAMPMENT', 'MODIFIER_PLAYER_CITIES_ADJUST_PROJECT_PRODUCTION', 'PLAYER_IS_HIGH_DIFFICULTY_AI'),
('LGAI_ONLINE_PROJECT_HARBOR', 'MODIFIER_PLAYER_CITIES_ADJUST_PROJECT_PRODUCTION', 'PLAYER_IS_HIGH_DIFFICULTY_AI'),
('LGAI_ONLINE_PROJECT_INDUSTRIAL_ZONE', 'MODIFIER_PLAYER_CITIES_ADJUST_PROJECT_PRODUCTION', 'PLAYER_IS_HIGH_DIFFICULTY_AI'),
('LGAI_ONLINE_PROJECT_COMMERCIAL_HUB', 'MODIFIER_PLAYER_CITIES_ADJUST_PROJECT_PRODUCTION', 'PLAYER_IS_HIGH_DIFFICULTY_AI'),
('LGAI_ONLINE_PROJECT_HOLY_SITE', 'MODIFIER_PLAYER_CITIES_ADJUST_PROJECT_PRODUCTION', 'PLAYER_IS_HIGH_DIFFICULTY_AI'),
('LGAI_ONLINE_PROJECT_CAMPUS', 'MODIFIER_PLAYER_CITIES_ADJUST_PROJECT_PRODUCTION', 'PLAYER_IS_HIGH_DIFFICULTY_AI'),
('LGAI_ONLINE_PROJECT_THEATER', 'MODIFIER_PLAYER_CITIES_ADJUST_PROJECT_PRODUCTION', 'PLAYER_IS_HIGH_DIFFICULTY_AI'),
('LGAI_ONLINE_PROJECT_CARNIVAL', 'MODIFIER_PLAYER_CITIES_ADJUST_PROJECT_PRODUCTION', 'PLAYER_IS_HIGH_DIFFICULTY_AI'),
('LGAI_ONLINE_PROJECT_WATER_CARNIVAL', 'MODIFIER_PLAYER_CITIES_ADJUST_PROJECT_PRODUCTION', 'PLAYER_IS_HIGH_DIFFICULTY_AI'),
('LGAI_ONLINE_PROJECT_CARBON_RECAPTURE', 'MODIFIER_PLAYER_CITIES_ADJUST_PROJECT_PRODUCTION', 'PLAYER_IS_HIGH_DIFFICULTY_AI'),
('LGAI_ONLINE_PROJECT_SEND_AID', 'MODIFIER_PLAYER_CITIES_ADJUST_PROJECT_PRODUCTION', 'PLAYER_IS_HIGH_DIFFICULTY_AI'),
('LGAI_ONLINE_PROJECT_COURT_FESTIVAL', 'MODIFIER_PLAYER_CITIES_ADJUST_PROJECT_PRODUCTION', 'PLAYER_IS_HIGH_DIFFICULTY_AI');

INSERT INTO ModifierArguments (ModifierId, Name, Type, Value) VALUES
('LGAI_ONLINE_PROJECT_ENCAMPMENT', 'ProjectType', 'ARGTYPE_IDENTITY', 'PROJECT_ENHANCE_DISTRICT_ENCAMPMENT'),
('LGAI_ONLINE_PROJECT_HARBOR', 'ProjectType', 'ARGTYPE_IDENTITY', 'PROJECT_ENHANCE_DISTRICT_HARBOR'),
('LGAI_ONLINE_PROJECT_INDUSTRIAL_ZONE', 'ProjectType', 'ARGTYPE_IDENTITY', 'PROJECT_ENHANCE_DISTRICT_INDUSTRIAL_ZONE'),
('LGAI_ONLINE_PROJECT_COMMERCIAL_HUB', 'ProjectType', 'ARGTYPE_IDENTITY', 'PROJECT_ENHANCE_DISTRICT_COMMERCIAL_HUB'),
('LGAI_ONLINE_PROJECT_HOLY_SITE', 'ProjectType', 'ARGTYPE_IDENTITY', 'PROJECT_ENHANCE_DISTRICT_HOLY_SITE'),
('LGAI_ONLINE_PROJECT_CAMPUS', 'ProjectType', 'ARGTYPE_IDENTITY', 'PROJECT_ENHANCE_DISTRICT_CAMPUS'),
('LGAI_ONLINE_PROJECT_THEATER', 'ProjectType', 'ARGTYPE_IDENTITY', 'PROJECT_ENHANCE_DISTRICT_THEATER'),
('LGAI_ONLINE_PROJECT_CARNIVAL', 'ProjectType', 'ARGTYPE_IDENTITY', 'PROJECT_CARNIVAL'),
('LGAI_ONLINE_PROJECT_WATER_CARNIVAL', 'ProjectType', 'ARGTYPE_IDENTITY', 'PROJECT_WATER_CARNIVAL'),
('LGAI_ONLINE_PROJECT_CARBON_RECAPTURE', 'ProjectType', 'ARGTYPE_IDENTITY', 'PROJECT_CARBON_RECAPTURE'),
('LGAI_ONLINE_PROJECT_SEND_AID', 'ProjectType', 'ARGTYPE_IDENTITY', 'PROJECT_SEND_AID'),
('LGAI_ONLINE_PROJECT_COURT_FESTIVAL', 'ProjectType', 'ARGTYPE_IDENTITY', 'PROJECT_COURT_FESTIVAL');

INSERT INTO ModifierArguments (ModifierId, Name, Type, Value, Extra) VALUES
('LGAI_ONLINE_PROJECT_ENCAMPMENT', 'Amount', 'LinearScaleFromDefaultHandicap', -30, 0),
('LGAI_ONLINE_PROJECT_HARBOR', 'Amount', 'LinearScaleFromDefaultHandicap', -30, 0),
('LGAI_ONLINE_PROJECT_INDUSTRIAL_ZONE', 'Amount', 'LinearScaleFromDefaultHandicap', -30, 0),
('LGAI_ONLINE_PROJECT_COMMERCIAL_HUB', 'Amount', 'LinearScaleFromDefaultHandicap', -30, 0),
('LGAI_ONLINE_PROJECT_HOLY_SITE', 'Amount', 'LinearScaleFromDefaultHandicap', -30, 0),
('LGAI_ONLINE_PROJECT_CAMPUS', 'Amount', 'LinearScaleFromDefaultHandicap', -30, 0),
('LGAI_ONLINE_PROJECT_THEATER', 'Amount', 'LinearScaleFromDefaultHandicap', -30, 0),
('LGAI_ONLINE_PROJECT_CARNIVAL', 'Amount', 'LinearScaleFromDefaultHandicap', -30, 0),
('LGAI_ONLINE_PROJECT_WATER_CARNIVAL', 'Amount', 'LinearScaleFromDefaultHandicap', -30, 0),
('LGAI_ONLINE_PROJECT_CARBON_RECAPTURE', 'Amount', 'LinearScaleFromDefaultHandicap', -30, 0),
('LGAI_ONLINE_PROJECT_SEND_AID', 'Amount', 'LinearScaleFromDefaultHandicap', -30, 0),
('LGAI_ONLINE_PROJECT_COURT_FESTIVAL', 'Amount', 'LinearScaleFromDefaultHandicap', -30, 0);